Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity
Class GrantedAuthorityImpl

    java.lang.Object
      org.acegisecurity.GrantedAuthorityImpl

All Implemented Interfaces:
  Serializable, GrantedAuthority

Direct Known Subclasses:
  JaasGrantedAuthority, SwitchUserGrantedAuthority

    public class GrantedAuthorityImpl

extends Object
implements GrantedAuthority, Serializable

Basic concrete implementation of a `GrantedAuthority`.

Stores a `String` representation of an authority granted to the `Authentication` object.

Version:
  $Id: GrantedAuthorityImpl.java,v 1.5 2005/11/17 00:55:49 benalex Exp $
Author:
  Ben Alex
See Also:
  Serialized Form

Constructor Summary
`protected` | `GrantedAuthorityImpl()`
`` | `GrantedAuthorityImpl(String role)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getAuthority()` If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GrantedAuthorityImpl

    public GrantedAuthorityImpl(String role)

### GrantedAuthorityImpl

    protected GrantedAuthorityImpl()

Method Detail

### getAuthority

    public String getAuthority()

  Description copied from interface: `GrantedAuthority`
  If the `GrantedAuthority` can be represented as a `String` and that `String` is sufficient in precision to be relied upon for an access control decision by an `AccessDecisionManager` (or delegate), this method should return such a `String`.

  If the `GrantedAuthority` cannot be expressed with sufficient precision as a `String`, `null` should be returned. Returning `null` will require an `AccessDecisionManager` (or delegate) to specifically support the `GrantedAuthority` implementation, so returning `null` should be avoided unless actually required.

  Specified by:
    `getAuthority` in interface `GrantedAuthority`
  Returns:
    a representation of the granted authority (or `null` if the granted authority cannot be expressed as a `String` with sufficient precision).

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.